Bug 22358 - Add POD to Koha::SharedContent
Summary: Add POD to Koha::SharedContent
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Developer documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Alex Arnaud
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 17047
Blocks:
  Show dependency treegraph
 
Reported: 2019-02-17 12:01 UTC by Katrin Fischer
Modified: 2019-10-14 20:02 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22358: Add POD to Koha::SharedContent (3.28 KB, patch)
2019-03-13 14:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 22358: Add POD to Koha::SharedContent (3.33 KB, patch)
2019-03-25 20:01 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22358: fix POD header and typo (713 bytes, patch)
2019-06-06 10:00 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 22358: Add POD to Koha::SharedContent (3.39 KB, patch)
2019-06-11 13:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 22358: fix POD header and typo (772 bytes, patch)
2019-06-11 13:09 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 22358: Add POD to Koha::SharedContent (3.44 KB, patch)
2019-06-14 17:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22358: fix POD header and typo (829 bytes, patch)
2019-06-14 17:41 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22358: (QA follow-up) Clear up phrasing (1.32 KB, patch)
2019-06-14 17:41 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-02-17 12:01:49 UTC
Moved from bug 17047 comment 454:

Please add POD to Koha::SharedContent:

perldoc Koha/SharedContent.pm

DESCRIPTION
    Package for accessing shared content via Mana

  Package Functions
   process_request
   increment_entity_value
   send_entity
   prepare_entity_data
   get_entity_by_id
   search_entities
   build_request
   get_sharing_url
Comment 1 Alex Arnaud 2019-03-13 14:17:34 UTC
Created attachment 86571 [details] [review]
Bug 22358: Add POD to Koha::SharedContent
Comment 2 Michal Denar 2019-03-15 14:16:53 UTC
Hi,
any test plan?
Comment 3 Liz Rea 2019-03-25 20:01:34 UTC
Created attachment 86996 [details] [review]
Bug 22358: Add POD to Koha::SharedContent

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
QA tool checks out, perldoc Koha/SharedContent.pm looks ok to me.
Comment 4 Marcel de Rooy 2019-03-29 10:36:51 UTC
=head1 SharedContent

Koha::SharedContent - Set of methods to quering Mana KB server

That is not an expected POD header.. And a typo too (quering)
Comment 5 Alex Arnaud 2019-06-06 10:00:50 UTC
Created attachment 90350 [details] [review]
Bug 22358: fix POD header and typo
Comment 6 M. Tompsett 2019-06-11 13:07:49 UTC
(In reply to Michal Denar from comment #2)
> Hi,
> any test plan?

When it is just POD, perl documentation:
perldoc {affected file}
e.g.
perldoc Koha::SharedContent
Comment 7 M. Tompsett 2019-06-11 13:09:31 UTC
Created attachment 90482 [details] [review]
Bug 22358: Add POD to Koha::SharedContent

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 8 M. Tompsett 2019-06-11 13:09:36 UTC
Created attachment 90483 [details] [review]
Bug 22358: fix POD header and typo

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 9 Nick Clemens 2019-06-14 17:41:30 UTC
Created attachment 90608 [details] [review]
Bug 22358: Add POD to Koha::SharedContent

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 10 Nick Clemens 2019-06-14 17:41:33 UTC
Created attachment 90609 [details] [review]
Bug 22358: fix POD header and typo

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 11 Nick Clemens 2019-06-14 17:41:36 UTC
Created attachment 90610 [details] [review]
Bug 22358: (QA follow-up) Clear up phrasing

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 12 Martin Renvoize 2019-06-15 07:02:47 UTC
Nice work!

Pushed to master for 19.11.00
Comment 13 Fridolin SOMERS 2019-06-20 12:37:22 UTC
Pushed to 19.05.x for 19.05.01